Build #5 for git-repair-1.20140914

[all reports]

Package git-repair-1.20140914
Install ConfigureFailed
Docs NotTried
Tests NotTried
Time submitted 2016-12-13 13:31:13.901723 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies IfElse-0.85, MissingH-1.4.0.1, QuickCheck-2.9.2, async-2.1.1, base-4.9.0.0, bytestring-0.10.8.1, containers-0.5.7.1, directory-1.2.6.2, extensible-exceptions-0.1.1.4, filepath-1.4.1.0, hslogger-1.2.10, mtl-2.2.1, network-2.6.3.1, optparse-applicative-0.13.0.0, process-1.4.2.0, text-1.2.2.1, time-1.6.0.1, unix-2.7.2.0, unix-compat-0.4.3.1, utf8-string-1.0.1.1
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring ansi-terminal-0.6.2.3...
Configuring call-stack-0.1.0...
Building ansi-terminal-0.6.2.3...
Building call-stack-0.1.0...
Installed call-stack-0.1.0
Configuring extensible-exceptions-0.1.1.4...
Building extensible-exceptions-0.1.1.4...
Installed extensible-exceptions-0.1.1.4
Configuring mtl-2.2.1...
Configuring network-2.6.3.1...
Installed ansi-terminal-0.6.2.3
Building mtl-2.2.1...
Building network-2.6.3.1...
Configuring old-locale-1.0.0.7...
Installed mtl-2.2.1
Building old-locale-1.0.0.7...
Configuring random-1.1...
Installed old-locale-1.0.0.7
Building random-1.1...
Configuring stm-2.4.4.1...
Installed random-1.1
Building stm-2.4.4.1...
Configuring primitive-0.6.2.0...
Installed network-2.6.3.1
Building primitive-0.6.2.0...
Configuring text-1.2.2.1...
Installed stm-2.4.4.1
Building text-1.2.2.1...
Configuring transformers-compat-0.5.1.4...
Installed primitive-0.6.2.0
Building transformers-compat-0.5.1.4...
Configuring utf8-string-1.0.1.1...
Installed transformers-compat-0.5.1.4
Building utf8-string-1.0.1.1...
Configuring unix-compat-0.4.3.1...
Installed utf8-string-1.0.1.1
Building unix-compat-0.4.3.1...
Configuring HUnit-1.5.0.0...
Installed unix-compat-0.4.3.1
Building HUnit-1.5.0.0...
Installed text-1.2.2.1
Configuring ansi-wl-pprint-0.6.7.3...
Building ansi-wl-pprint-0.6.7.3...
Configuring IfElse-0.85...
Installed HUnit-1.5.0.0
Building IfElse-0.85...
Installed ansi-wl-pprint-0.6.7.3
Configuring regex-base-0.93.2...
Configuring old-time-1.1.0.3...
Installed IfElse-0.85
Building regex-base-0.93.2...
Building old-time-1.1.0.3...
Configuring async-2.1.1...
Installed regex-base-0.93.2
Building async-2.1.1...
Configuring hslogger-1.2.10...
Installed old-time-1.1.0.3
Configuring tf-random-0.5...
Installed async-2.1.1
Building hslogger-1.2.10...
Building tf-random-0.5...
Installed hslogger-1.2.10
Configuring parsec-3.1.11...
Installed tf-random-0.5
Configuring optparse-applicative-0.13.0.0...
Building parsec-3.1.11...
Building optparse-applicative-0.13.0.0...
Configuring regex-posix-0.95.2...
Installed optparse-applicative-0.13.0.0
Building regex-posix-0.95.2...
Configuring QuickCheck-2.9.2...
Installed parsec-3.1.11
Building QuickCheck-2.9.2...
Installed regex-posix-0.95.2
Configuring regex-compat-0.95.1...
Building regex-compat-0.95.1...
Installed regex-compat-0.95.1
Configuring MissingH-1.4.0.1...
Building MissingH-1.4.0.1...
Installed QuickCheck-2.9.2
Installed MissingH-1.4.0.1
Downloading git-repair-1.20140914...
Configuring git-repair-1.20140914...
Failed to install git-repair-1.20140914
Build log ( /home/builder/.cabal/logs/git-repair-1.20140914.log ):
cabal: Entering directory '/tmp/cabal-tmp-4223/git-repair-1.20140914'
cabal: Leaving directory '/tmp/cabal-tmp-4223/git-repair-1.20140914'
cabal: Error: some packages failed to install:
git-repair-1.20140914 failed during the configure step. The exception was:
user error ('/opt/ghc/8.0.2/bin/ghc' exited with an error:

/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/PosixFiles.hs:13:1: warning:
[-Wtabs]
Tab character found here, and in one further location.
Please use spaces instead.

/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/PartialPrelude.hs:47:1:
warning: [-Wtabs]
Tab character found here, and in one further location.
Please use spaces instead.

/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/Monad.hs:41:1: warning:
[-Wtabs]
Tab character found here, and in four further locations.
Please use spaces instead.

/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/FileSystemEncoding.hs:11:1:
warning: [-Wtabs]
Tab character found here, and in 22 further locations.
Please use spaces instead.

/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/Env.hs:49:1: warning:
[-Wtabs]
Tab character found here, and in five further locations.
Please use spaces instead.

/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/UserInfo.hs:11:1: warning:
[-Wtabs]
Tab character found here, and in 7 further locations.
Please use spaces instead.

/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/Path.hs:44:1: warning:
[-Wtabs]
Tab character found here, and in 93 further locations.
Please use spaces instead.

/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/Data.hs:13:1: warning:
[-Wtabs]
Tab character found here, and in one further location.
Please use spaces instead.

/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/Exception.hs:49:1: warning:
[-Wtabs]
Tab character found here, and in three further locations.
Please use spaces instead.

/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/Misc.hs:40:1: warning:
[-Wtabs]
Tab character found here, and in 44 further locations.
Please use spaces instead.

/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/Process.hs:174:28: error:
Ambiguous occurrence ‘createPipe’
It could refer to either ‘System.Process.createPipe’,
imported from ‘System.Process’ at
/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/Process.hs:40:1-57
(and originally defined in ‘System.Process.Internals’)
or ‘System.Posix.IO.createPipe’,
imported from ‘System.Posix.IO’ at
/tmp/cabal-tmp-4223/git-repair-1.20140914/Utility/Process.hs:48:1-22
(and originally defined in ‘unix-2.7.2.0:System.Posix.IO.Common’)
)